rse_utilities_srcs = [
  'src/file_utils.c'
  ]

cc = meson.get_compiler('c')

sdl3_dep = dependency('sdl3',
                      version : '>=3.4.0')
stb_dep = dependency('stb',
                      version : '>=2.30.0')
m_dep = cc.find_library('m')

rse_utilities_lib = shared_library(
  'rse_utilities',
  rse_utilities_srcs,
  include_directories : ['.'],
  dependencies : [
                  sdl3_dep,
                  stb_dep,
                  m_dep,
                  ],
  install : true
  )
